/*
 * $Id$
 */

package org.sonatype.security.model.v2_0_3.upgrade;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import org.sonatype.security.model.CPrivilege;
import org.sonatype.security.model.CProperty;
import org.sonatype.security.model.CRole;
import org.sonatype.security.model.CUser;
import org.sonatype.security.model.CUserRoleMapping;
import org.sonatype.security.model.Configuration;

/**
 * Converts between version 2.0.2 and version 2.0.3 of the model.
 * 
 * @version $Revision$ $Date$
 */
public interface VersionUpgrade
{

      //-----------/
     //- Methods -/
    //-----------/

    /**
     * 
     * 
     * @param cPrivilege
     */
    public org.sonatype.security.model.CPrivilege upgradeCPrivilege( org.sonatype.security.model.v2_0_2.CPrivilege cPrivilege );
    /**
     * 
     * 
     * @param cProperty
     */
    public org.sonatype.security.model.CProperty upgradeCProperty( org.sonatype.security.model.v2_0_2.CProperty cProperty );
    /**
     * 
     * 
     * @param cRole
     */
    public org.sonatype.security.model.CRole upgradeCRole( org.sonatype.security.model.v2_0_2.CRole cRole );
    /**
     * 
     * 
     * @param cUser
     */
    public org.sonatype.security.model.CUser upgradeCUser( org.sonatype.security.model.v2_0_2.CUser cUser );
    /**
     * 
     * 
     * @param cUserRoleMapping
     */
    public org.sonatype.security.model.CUserRoleMapping upgradeCUserRoleMapping( org.sonatype.security.model.v2_0_2.CUserRoleMapping cUserRoleMapping );
    /**
     * 
     * 
     * @param configuration
     */
    public org.sonatype.security.model.Configuration upgradeConfiguration( org.sonatype.security.model.v2_0_2.Configuration configuration );
}
